# Update the machine chaos infra

Update the machine chaos infra

Endpoint: PUT /gateway/chaos/manager/api/rest/machine/infra/{id}
Version: 1.0
Security: 

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `infraType` (string, required)
    infra type

## Path parameters:

  - `id` (string, required)
    Machine Chaos Infra ID

## Request fields (application/json):

  - `description` (string)

  - `environmentID` (string)

  - `name` (string)

  - `tags` (array)

## Response 200 fields (application/json):

  - `correlationID` (string)

  - `message` (string)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


